# Retrieves a previously uploaded file

This method retrieves a file that was previously uploaded

Endpoint: GET /fileUploads/{tenantId}/{service}/{id}/{fileid}/image
Version: v1-2025-04-18
Security: querystring-authorizer

## Security:

  - `querystring-authorizer` (unknown)
    apiKey in header access_token

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed

  - `service` (string, required)
    The service containing the record this file is related to

  - `id` (string, required)
    The id of the record this file is related to

  - `fileid` (string, required)
    The id of the uploaded file

## Response 200:

  - `200` (unknown)
    The file was retrieved successfully

## Response 200 headers (*/*):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

  - `Content-Disposition` (string)

  - `Content-Length` (string)

  - `Content-Type` (string)

  - `Date` (string)

## Response 400:

  - `400` (unknown)
    You supplied an invalid request

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The specified file does not exist

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add file upload based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

